## LassoIdWsf2SubsRefSubscription LassoIdWsf2SubsRefSubscription — <subsref:Subscription> |

## Functions

LassoIdWsf2SubsRefSubscription * | lasso_idwsf2_subsref_subscription_new ()

## Types and Values

struct | LassoIdWsf2SubsRefSubscription

## Description

Figure 267. Schema fragment for subsref:Subscription

    <xs:complexType name="SubscriptionType">
      <xs:complexContent>
        <xs:extension base="subs:SubscriptionType">
          <xs:sequence>
            <xs:element ref="subsref:ResultQuery" minOccurs="0" maxOccurs="unbounded"/>
            <xs:element name="Aggregation" minOccurs="0" maxOccurs="1"
                    type="subsref:AggregationType"/>
            <xs:element name="Trigger" minOccurs="0" maxOccurs="1" type="subsref:TriggerType"/>
          </xs:sequence>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

## Functions

### lasso_idwsf2_subsref_subscription_new ()

    LassoIdWsf2SubsRefSubscription *
    lasso_idwsf2_subsref_subscription_new (void);

Creates a new LassoIdWsf2SubsRefSubscription object.

#### Returns

a newly created LassoIdWsf2SubsRefSubscription object

## Types and Values

### struct LassoIdWsf2SubsRefSubscription

    struct LassoIdWsf2SubsRefSubscription {
    	LassoIdWsf2SubsSubscription parent;

    	/* elements */
    	GList *ResultQuery; /* of LassoNode */
    	/* XXX */ void *Aggregation;
    	/* XXX */ void *Trigger;
    };